VERSION 5.00
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.2#0"; "comdlg32.ocx"
Begin VB.Form frmSplash 
   BorderStyle     =   3  'Fixed Dialog
   ClientHeight    =   4245
   ClientLeft      =   2145
   ClientTop       =   1575
   ClientWidth     =   7380
   ClipControls    =   0   'False
   ControlBox      =   0   'False
   Icon            =   "Splash.frx":0000
   KeyPreview      =   -1  'True
   LinkTopic       =   "Form2"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   4245
   ScaleWidth      =   7380
   ShowInTaskbar   =   0   'False
   Begin VB.Timer tmrUnload 
      Interval        =   5000
      Left            =   1080
      Top             =   4200
   End
   Begin MSComDlg.CommonDialog dlgFileLocation 
      Left            =   0
      Top             =   3480
      _ExtentX        =   847
      _ExtentY        =   847
      _Version        =   393216
   End
   Begin VB.Frame Frame1 
      Height          =   4050
      Left            =   150
      TabIndex        =   0
      Top             =   60
      Width           =   7080
      Begin VB.Image imgLogo 
         Height          =   2385
         Left            =   360
         Picture         =   "Splash.frx":0442
         Stretch         =   -1  'True
         Top             =   795
         Width           =   1815
      End
      Begin VB.Label lblCopyright 
         BeginProperty Font 
            Name            =   "Arial"
            Size            =   8.25
            Charset         =   0
            Weight          =   400
            Underline       =   0   'False
            Italic          =   0   'False
            Strikethrough   =   0   'False
         EndProperty
         Height          =   255
         Left            =   4560
         TabIndex        =   4
         Top             =   3060
         Width           =   2415
      End
      Begin VB.Label lblCompany 
         BeginProperty Font 
            Name            =   "Arial"
            Size            =   8.25
            Charset         =   0
            Weight          =   400
            Underline       =   0   'False
            Italic          =   0   'False
            Strikethrough   =   0   'False
         EndProperty
         Height          =   255
         Left            =   4560
         TabIndex        =   3
         Top             =   3270
         Width           =   2415
      End
      Begin VB.Label lblWarning 
         BeginProperty Font 
            Name            =   "Arial"
            Size            =   8.25
            Charset         =   0
            Weight          =   400
            Underline       =   0   'False
            Italic          =   0   'False
            Strikethrough   =   0   'False
         EndProperty
         Height          =   195
         Left            =   150
         TabIndex        =   2
         Top             =   3660
         Width           =   6855
      End
      Begin VB.Label lblVersion 
         Alignment       =   1  'Right Justify
         AutoSize        =   -1  'True
         Caption         =   "Version"
         BeginProperty Font 
            Name            =   "Arial"
            Size            =   12
            Charset         =   0
            Weight          =   700
            Underline       =   0   'False
            Italic          =   0   'False
            Strikethrough   =   0   'False
         EndProperty
         Height          =   285
         Left            =   5970
         TabIndex        =   5
         Top             =   2700
         Width           =   885
      End
      Begin VB.Label lblPlatform 
         Alignment       =   1  'Right Justify
         AutoSize        =   -1  'True
         Caption         =   "Windows"
         BeginProperty Font 
            Name            =   "Arial"
            Size            =   15.75
            Charset         =   0
            Weight          =   700
            Underline       =   0   'False
            Italic          =   0   'False
            Strikethrough   =   0   'False
         EndProperty
         Height          =   360
         Left            =   5475
         TabIndex        =   6
         Top             =   2340
         Width           =   1380
      End
      Begin VB.Label lblProductName 
         AutoSize        =   -1  'True
         Caption         =   "Orders Report"
         BeginProperty Font 
            Name            =   "Arial"
            Size            =   32.25
            Charset         =   0
            Weight          =   700
            Underline       =   0   'False
            Italic          =   0   'False
            Strikethrough   =   0   'False
         EndProperty
         Height          =   765
         Left            =   2520
         TabIndex        =   8
         Top             =   1140
         Width           =   4365
      End
      Begin VB.Label lblLicenseTo 
         Alignment       =   1  'Right Justify
         Caption         =   "Bank Of Ireland Finance"
         BeginProperty Font 
            Name            =   "Arial"
            Size            =   8.25
            Charset         =   0
            Weight          =   400
            Underline       =   0   'False
            Italic          =   0   'False
            Strikethrough   =   0   'False
         EndProperty
         Height          =   255
         Left            =   120
         TabIndex        =   1
         Top             =   240
         Width           =   6855
      End
      Begin VB.Label lblCompanyProduct 
         AutoSize        =   -1  'True
         Caption         =   "Unit Stocking"
         BeginProperty Font 
            Name            =   "Arial"
            Size            =   18
            Charset         =   0
            Weight          =   700
            Underline       =   0   'False
            Italic          =   0   'False
            Strikethrough   =   0   'False
         EndProperty
         Height          =   435
         Left            =   2355
         TabIndex        =   7
         Top             =   705
         Width           =   2340
      End
   End
End
Attribute VB_Name = "frmSplash"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False

Option Explicit

Private Sub Form_KeyPress(KeyAscii As Integer)

    Unload Me
    
End Sub

Private Sub Form_Load()

    Dim objini As Utilities.clsWinAndIni
    Dim dbUtilities As Utilities.clsDBUtilities
    Dim objDrive As Utilities.clsDriveInfo

    Dim unc As String
    
    lblVersion.Caption = "Version " & App.Major & "." & App.Minor & "." & App.Revision
    lblProductName.Caption = App.Title
    
    Set objini = New Utilities.clsWinAndIni
    Set dbUtilities = New Utilities.clsDBUtilities
    Set objDrive = New Utilities.clsDriveInfo
    
    appIni = objini.GetWinIni("Orders Report", "App Ini File")
    If appIni = "*NONE" Then
        funInt = objini.WriteWinIni("Orders Report", "App Ini File", App.Path & "\Orders Report.Ini")
        appIni = App.Path & "\Orders Report.INI"
    End If

    appDbIni = objini.GetWinIni("Orders Report", "DB Ini File")
    If appDbIni = "*NONE" Then
        With dlgFileLocation
            .FileName = "Orders Report DB.INI"
            .DefaultExt = "*.INI"
            .DialogTitle = "Where is the Applications Database INI"
            .Filter = "Initialisation Parameter|*.ini|All Files|*.*"
            .FilterIndex = 0
            .InitDir = App.Path
            .CancelError = True
            .Flags = FileOpenConstants.cdlOFNHideReadOnly + FileOpenConstants.cdlOFNFileMustExist
            .ShowOpen
            unc = objDrive.GetUNCDriveMapping(Left$(.FileName, 2))
            If unc = "" Then
                unc = Left$(.FileName, 2)
            End If
            appDbIni = unc & Mid$(.FileName, 3)
        End With
        funInt = objini.WriteWinIni("Orders Report", "DB Ini File", appDbIni)
    End If

    dbUtilities.DBIni = appDbIni

    dbDateFmt = dbUtilities.GetDBDateFmt
    dbDateSurround = dbUtilities.GetDateSurround

    Set objini = Nothing
    Set dbUtilities = Nothing
    Set objDrive = Nothing

End Sub

Private Sub Form_Unload(Cancel As Integer)

    frmMainMenu.Show
    
End Sub

Private Sub Frame1_Click()
    Unload Me
End Sub

Private Sub tmrUnload_Timer()

    Unload Me
    
End Sub


